devguard
Vendor questionnaires

Create a vendor questionnaire.

POST
/vendor-questionnaires/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/vendor-questionnaires/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "slug": "string",    "name": "string"  }'
{
  "id": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "translations": null,
  "isCentralized": true,
  "archivedAt": "string",
  "organizationId": "string",
  "createdAt": "string",
  "updatedAt": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?